#include <iostream>

using namespace std;
int main(int argc, char** argv) {
	
	int n,x1,y1,x2,y2;
	
	cin>>n;
	cin>>x1>>y1>>x2>>y2;
	if(n==2){
		
	if(x1==x2 || y1==y2){
		
		cout<<'1';
		
	}else{
		cout<<'0';
	}	
		
	}
	else{
		cout<<0;
		
	}
	
	
	
	
	
	return 0;
}